=== debian/control ===
Source: straight.plugin
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               sphinx-common
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/straight.plugin
Vcs-Git: https://salsa.debian.org/python-team/packages/straight.plugin.git
Homepage: https://github.com/ironfroggy/straight.plugin
Rules-Requires-Root: no

Package: python3-straight.plugin
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-straight.plugin-doc
Description: Simple namespaced plugin facility (Python 3)
 straight.plugin is a Python plugin loader inspired by twisted.plugin
 with two important distinctions:
 .
  - Fewer dependencies
  - Python 3 compatible
 .
 The system is used to allow multiple Python packages to provide
 plugins within a namespace package, where other packages will locate
 and utilize. The plugins themselves are modules in a namespace
 package where the namespace identifies the plugins in it for some
 particular purpose or intent.
 .
 This package installs the library for Python 3.

Package: python-straight.plugin-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Simple namespaced plugin facility (common documentation)
 straight.plugin is a Python plugin loader inspired by twisted.plugin
 with two important distinctions:
 .
  - Fewer dependencies
  - Python 3 compatible
 .
 The system is used to allow multiple Python packages to provide
 plugins within a namespace package, where other packages will locate
 and utilize. The plugins themselves are modules in a namespace
 package where the namespace identifies the plugins in it for some
 particular purpose or intent.
 .
 This is the common documentation package.
