=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = straight.plugin
export PYBUILD_TEST_ARGS = {dir}/tests.py

%:
	dh $@  --with sphinxdoc --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf docs/_build

execute_after_dh_auto_build:
	PYTHONPATH=../ $(MAKE) -C docs/ html man
