=== debian/tests/control ===
Tests: runtests
Depends: @, dh-python, python3-all, python3-setuptools, python3-sphinx, sphinx-common, python3-pytest
Restrictions: allow-stderr
